%bcond_without systemd

Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.0.7
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	https://irqbalance.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:		irqbalance-1.0.4-fix-service-env-path.patch
Patch1:		irqbalance-1.0.7-automake-1.13.patch
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	gccmakedep
BuildRequires:	numa-devel
BuildRequires:	glib2-devel
BuildRequires:	libcap-ng-devel

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q
touch NEWS README AUTHORS ChangeLog
%patch0 -p1
%patch1 -p1

%build
./autogen.sh

%configure2_5x
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install irqbalance %{buildroot}%{_sbindir}
mkdir -p %{buildroot}{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
install %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%{_mandir}/man1/
%if %{with systemd}
mkdir -p %{buildroot}/lib/systemd/system/
install -c -m 644  misc/irqbalance.service %{buildroot}/lib/systemd/system/
%endif

%clean
rm -rf %{buildroot}

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%{_mandir}/man1/*
%{_sbindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%if %{with systemd}
/lib/systemd/system/irqbalance.service
%endif


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 541491
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 1.0.7-1.mga4
+ Revision: 496005
- 1.0.7

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1.0.6-1.mga4
+ Revision: 443430
- 1.0.6

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 354497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.0.5-1.mga3
+ Revision: 339738
- fix for automake 1.13
- 1.0.5

* Thu Sep 27 2012 tmb <tmb> 1.0.4-2.mga3
+ Revision: 298788
- fix irqbalance.service env path (#7501)

* Thu Sep 06 2012 fedya <fedya> 1.0.4-1.mga3
+ Revision: 288805
- version update 1.0.4

* Sat Apr 28 2012 tmb <tmb> 1.0.3-2.mga2
+ Revision: 233760
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Dec 07 2011 tmb <tmb> 1.0.3-1.mga2
+ Revision: 178368
- add native systemd support
- update to 1.0.3

* Sun Nov 27 2011 tv <tv> 1.0.2-1.mga2
+ Revision: 172548
- new release
- BuildRequires numa-devel

* Sun Feb 20 2011 eandry <eandry> 0.56-2.mga1
+ Revision: 55023
- drop buildroot and old conditionnal
- imported package irqbalance


* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-1mdv2011.0
+ Revision: 574001
- update to new version 0.56
- drop all patches, fixed by upstream
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix build on older distros

* Sun Feb 21 2010 Thierry Vignaud <tv@mandriva.org> 0.55-9mdv2010.1
+ Revision: 509301
- patch 2: fix irqbalance doing nothing (#57523, RH#433270)

* Mon Feb 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.55-8mdv2010.1
+ Revision: 506182
- Update initscript to fix rpmlint warnings
- Patch3 (Fedora): use libcap-ng

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.55-7mdv2010.0
+ Revision: 425387
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.55-6mdv2009.1
+ Revision: 351254
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.55-5mdv2009.0
+ Revision: 221643
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2008.1
+ Revision: 119428
- license is not OSL but GPL
- add fedora patches: missing man page, fix for a stale PID file created by
  irqbalance --one-shot (the default on multicore CPU's with shared caches),
  compile -with -fPIE
- sync sysconfig & init scripts with fedora (thus fixing #31387)
- better description
- inline name/version/release
- use requires(post,preun) instead of prereq
- add download URL
- fix summary-ended-with-dot

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 0.55-3mdv2008.0
+ Revision: 26903
- update URL

* Tue May 15 2007 Thierry Vignaud <tv@mandriva.org> 0.55-2mdv2008.0
+ Revision: 26868
- buildrequires glib2-devel
- cleanups
- use %%mkrel
- Import irqbalance





* Mon May 14 2007 Nicolas Chipaux <chipaux@mandriva.com> 0.55-1mdv
- new release (in fact some missed release ...)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-1mdk
- new release
- start it in runlevel 2 too

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
